## incron 0.5.7

=== Makefile ===

PREFIX = /usr/local
USERDATADIR = /var/spool/incron
SYSDATADIR = /etc/incron.d
CFGDIR = /etc
MANPATH = /usr/share/man
RELEASE = incron-`cat VERSION`
RELEASEDIR = /tmp/$(RELEASE)

USER = root

CXX = g++
INSTALL = install

OPTIMIZE = -O2
DEBUG = -g0
WARNINGS = -Wall
CXXAUX = -pipe

CXXFLAGS = $(OPTIMIZE) $(DEBUG) $(WARNINGS) $(CXXAUX)
LDFLAGS = $(WARNINGS)

PROGRAMS = incrond incrontab

INCROND_OBJ = icd-main.o incrontab.o inotify-cxx.o usertable.o strtok.o appinst.o incroncfg.o appargs.o
INCRONTAB_OBJ = ict-main.o incrontab.o inotify-cxx.o strtok.o incroncfg.o appargs.o


all:	$(PROGRAMS)

incrond:	$(INCROND_OBJ)
	$(CXX) $(LDFLAGS) -o $@ $(INCROND_OBJ)

incrontab:	$(INCRONTAB_OBJ)
	$(CXX) $(LDFLAGS) -o $@ $(INCRONTAB_OBJ)

.cpp.o:
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) -o $@ $<

clean:
	rm -f $(PROGRAMS)
	rm -f *.o

distclean: clean

install:	all install-man
	[ -d $(PREFIX) ]
	$(INSTALL) -m 04755 -o $(USER) incrontab $(PREFIX)/bin/
	$(INSTALL) -m 0755 incrond $(PREFIX)/sbin/
	$(INSTALL) -m 0755 -o $(USER) -d $(USERDATADIR)
	$(INSTALL) -m 0755 -o $(USER) -d $(SYSDATADIR)
	$(INSTALL) -m 0644 -o $(USER) incron.conf.example $(CFGDIR)

install-man:	incrontab.1 incrontab.5 incrond.8 incron.conf.5
	$(INSTALL) -m 0755 -d $(MANPATH)/man1
	$(INSTALL) -m 0755 -d $(MANPATH)/man5
	$(INSTALL) -m 0755 -d $(MANPATH)/man8
	$(INSTALL) -m 0644 incrontab.1 $(MANPATH)/man1
	$(INSTALL) -m 0644 incrontab.5 $(MANPATH)/man5
	$(INSTALL) -m 0644 incrond.8 $(MANPATH)/man8
	$(INSTALL) -m 0644 incron.conf.5 $(MANPATH)/man5

uninstall:	uninstall-man
	[ -d $(PREFIX) ]
	rm -f $(PREFIX)/bin/incrontab
	rm -f $(PREFIX)/sbin/incrond
	rm -f $(CFGDIR)/incron.conf.example

uninstall-man:
	rm -f $(MANPATH)/man1/incrontab.1
	rm -f $(MANPATH)/man5/incrontab.5
	rm -f $(MANPATH)/man8/incrond.8
	rm -f $(MANPATH)/man5/incron.conf.5

update:		uninstall install

release:
	doxygen
	mkdir -p $(RELEASEDIR)
	cp -r doc $(RELEASEDIR)
	cp *.h $(RELEASEDIR)
	cp *.cpp $(RELEASEDIR)
	cp incron.conf.example $(RELEASEDIR)
	cp Makefile CHANGELOG COPYING LICENSE-GPL LICENSE-LGPL LICENSE-X11 README TODO VERSION $(RELEASEDIR)
	cp incrond.8 incrontab.1 incrontab.5 incron.conf.5 $(RELEASEDIR)
	tar -c -f $(RELEASE).tar -C $(RELEASEDIR)/.. $(RELEASE)
	bzip2 -9 $(RELEASE).tar
	tar -c -f $(RELEASE).tar -C $(RELEASEDIR)/.. $(RELEASE)
	gzip --best $(RELEASE).tar
	echo #!/bin/sh > myzip
	echo cd $(RELEASEDIR)/.. >> myzip
	echo zip -r -9 `pwd`/$(RELEASE).zip $(RELEASE) >> myzip
	chmod 0700 myzip
	./myzip
	rm -f myzip
	sha1sum $(RELEASE).tar.bz2 > sha1.txt
	sha1sum $(RELEASE).tar.gz >> sha1.txt
	sha1sum $(RELEASE).zip >> sha1.txt
	rm -rf $(RELEASEDIR)

release-clean:
	rm -f $(RELEASE).tar.bz2
	rm -f $(RELEASE).tar.gz
	rm -f $(RELEASE).zip
	rm -f sha1.txt

.PHONY:	all clean distclean install install-man uninstall uninstall-man release release-clean update

.POSIX:

icd-main.o:	icd-main.cpp inotify-cxx.h incrontab.h usertable.h incron.h appinst.h incroncfg.h appargs.h
incrontab.o:	incrontab.cpp incrontab.h inotify-cxx.h strtok.h
inotify-cxx.o:	inotify-cxx.cpp inotify-cxx.h
usertable.o:	usertable.cpp usertable.h strtok.h
ict-main.o:	ict-main.cpp incrontab.h incron.h incroncfg.h appargs.h
strtok.o:	strtok.cpp strtok.h
appinst.o:	appinst.cpp appinst.h
incroncfg.o:	incroncfg.cpp incroncfg.h
appargs.o:	appargs.cpp appargs.h

## incron 0.5.9

=== Makefile ===
--- 
+++ 
@@ -99,6 +99,7 @@
 	rm -rf $(RELEASEDIR)
 
 release-clean:
+	rm -rf doc
 	rm -f $(RELEASE).tar.bz2
 	rm -f $(RELEASE).tar.gz
 	rm -f $(RELEASE).zip

## incron 0.5.10

=== Makefile ===
--- 
+++ 
@@ -3,13 +3,14 @@
 USERDATADIR = /var/spool/incron
 SYSDATADIR = /etc/incron.d
 CFGDIR = /etc
-MANPATH = /usr/share/man
+MANPATH = $(PREFIX)/share/man
 RELEASE = incron-`cat VERSION`
 RELEASEDIR = /tmp/$(RELEASE)
+DOCDIR = $(PREFIX)/share/doc/$(RELEASE)/
 
 USER = root
 
-CXX = g++
+CXX ?= g++
 INSTALL = install
 
 OPTIMIZE = -O2
@@ -17,8 +18,8 @@
 WARNINGS = -Wall
 CXXAUX = -pipe
 
-CXXFLAGS = $(OPTIMIZE) $(DEBUG) $(WARNINGS) $(CXXAUX)
-LDFLAGS = $(WARNINGS)
+CXXFLAGS ?= $(OPTIMIZE) $(DEBUG) $(CXXAUX)
+CXXFLAGS += $(WARNINGS)
 
 PROGRAMS = incrond incrontab
 
@@ -29,10 +30,10 @@
 all:	$(PROGRAMS)
 
 incrond:	$(INCROND_OBJ)
-	$(CXX) $(LDFLAGS) -o $@ $(INCROND_OBJ)
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $(INCROND_OBJ)
 
 incrontab:	$(INCRONTAB_OBJ)
-	$(CXX) $(LDFLAGS) -o $@ $(INCRONTAB_OBJ)
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $(INCRONTAB_OBJ)
 
 .cpp.o:
 	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) -o $@ $<
@@ -44,33 +45,34 @@
 distclean: clean
 
 install:	all install-man
-	[ -d $(PREFIX) ]
-	$(INSTALL) -m 04755 -o $(USER) incrontab $(PREFIX)/bin/
-	$(INSTALL) -m 0755 incrond $(PREFIX)/sbin/
-	$(INSTALL) -m 0755 -o $(USER) -d $(USERDATADIR)
-	$(INSTALL) -m 0755 -o $(USER) -d $(SYSDATADIR)
-	$(INSTALL) -m 0644 -o $(USER) incron.conf.example $(CFGDIR)
+	$(INSTALL) -m 0755 -d $(DESTDIR)$(PREFIX)/bin/
+	$(INSTALL) -m 0755 -d $(DESTDIR)$(PREFIX)/sbin/
+	$(INSTALL) -m 0755 -d $(DESTDIR)$(DOCDIR)/
+	$(INSTALL) -m 04755 -o $(USER) incrontab $(DESTDIR)$(PREFIX)/bin/
+	$(INSTALL) -m 0755 incrond $(DESTDIR)$(PREFIX)/sbin/
+	$(INSTALL) -m 0755 -o $(USER) -d $(DESTDIR)$(USERDATADIR)
+	$(INSTALL) -m 0755 -o $(USER) -d $(DESTDIR)$(SYSDATADIR)
+	$(INSTALL) -m 0644 incron.conf.example $(DESTDIR)$(DOCDIR)/
 
 install-man:	incrontab.1 incrontab.5 incrond.8 incron.conf.5
-	$(INSTALL) -m 0755 -d $(MANPATH)/man1
-	$(INSTALL) -m 0755 -d $(MANPATH)/man5
-	$(INSTALL) -m 0755 -d $(MANPATH)/man8
-	$(INSTALL) -m 0644 incrontab.1 $(MANPATH)/man1
-	$(INSTALL) -m 0644 incrontab.5 $(MANPATH)/man5
-	$(INSTALL) -m 0644 incrond.8 $(MANPATH)/man8
-	$(INSTALL) -m 0644 incron.conf.5 $(MANPATH)/man5
+	$(INSTALL) -m 0755 -d $(DESTDIR)$(MANPATH)/man1
+	$(INSTALL) -m 0755 -d $(DESTDIR)$(MANPATH)/man5
+	$(INSTALL) -m 0755 -d $(DESTDIR)$(MANPATH)/man8
+	$(INSTALL) -m 0644 incrontab.1 $(DESTDIR)$(MANPATH)/man1
+	$(INSTALL) -m 0644 incrontab.5 $(DESTDIR)$(MANPATH)/man5
+	$(INSTALL) -m 0644 incrond.8 $(DESTDIR)$(MANPATH)/man8
+	$(INSTALL) -m 0644 incron.conf.5 $(DESTDIR)$(MANPATH)/man5
 
 uninstall:	uninstall-man
-	[ -d $(PREFIX) ]
-	rm -f $(PREFIX)/bin/incrontab
-	rm -f $(PREFIX)/sbin/incrond
-	rm -f $(CFGDIR)/incron.conf.example
+	rm -f $(DESTDIR)$(PREFIX)/bin/incrontab
+	rm -f $(DESTDIR)$(PREFIX)/sbin/incrond
+	rm -rf $(DESTDIR)$(DOCDIR)/
 
 uninstall-man:
-	rm -f $(MANPATH)/man1/incrontab.1
-	rm -f $(MANPATH)/man5/incrontab.5
-	rm -f $(MANPATH)/man8/incrond.8
-	rm -f $(MANPATH)/man5/incron.conf.5
+	rm -f $(DESTDIR)$(MANPATH)/man1/incrontab.1
+	rm -f $(DESTDIR)$(MANPATH)/man5/incrontab.5
+	rm -f $(DESTDIR)$(MANPATH)/man8/incrond.8
+	rm -f $(DESTDIR)$(MANPATH)/man5/incron.conf.5
 
 update:		uninstall install

=== debian/changelog ===
incron (0.5.10-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:29:01 +0000

incron (0.5.10-3) unstable; urgency=medium

  * Add a patch to allow build on architectures where deprecated inotify_init
  syscall is not defined (in particular arm64). Thanks to Peter Michael Green
  for the patch. (Closes: #767758)
  * Add missing sources (in debian/missing-sources) for doc/html/jquery.js
  shipped in upstream sources.

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 03 Nov 2014 21:34:17 +0100

incron (0.5.10-2) unstable; urgency=medium

  * Add a patch to fix bad handling of arguments with spaces in incrontabs
    (Closes: #605021)
  * Add a patch to fix bad ownership of user's incrontab installed by root
    (Closes: #709300)
  * Add support for systemd
  * Bump Standards-Version to 3.9.5
  * Update debhelper dependency to >= 9
  * Cleanup in debian/copyright
  * Cleanup in maintainer scripts
  * Remove useless debian/README.source

 -- Emmanuel Bouthenot <kolter@debian.org>  Thu, 20 Mar 2014 23:37:54 +0100

incron (0.5.10-1) unstable; urgency=low

  * New upstream release
    - Remove patches merged upstream
  * Switch to dpkg-source 3.0 (quilt) format (Closes: #570943)
  * Bump Standards-Version to 3.9.3
  * Add a patch to fix a FTBFS with g++ 4.7 (Closes: #667209)
  * Update Vcs-Browser and Vcs-Git fields
  * Switch debhelper compat to v9
  * Switch copyright file to DEP5 format
  * Switch patches to DEP3 format
  * Some clean up in init script

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 08 Apr 2012 21:05:07 +0000

incron (0.5.9-5) unstable; urgency=low

  * Fix LSB Default-Stop values in init script (Closes: #559643)
  * Fix typos in copyright and README.Debian files.
  * Fix typo in manpage (update existing patch).
  * Maintainer became Debian Developer: adjust email, VCS and DM fields.

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 26 Jan 2010 22:27:21 +0100

incron (0.5.9-4) unstable; urgency=low

  * Add status command to init script (Closes: #557805).

 -- Emmanuel Bouthenot <kolter@openics.org>  Tue, 24 Nov 2009 21:14:25 +0000

incron (0.5.9-3) unstable; urgency=low

  * Fix a FTBFS with gcc 4.4 and glibc >= 2.10 (Closes: #548786). Thanks
    to Fabrice Coutadeur for the patch.

 -- Emmanuel Bouthenot <kolter@openics.org>  Fri, 20 Nov 2009 20:40:02 +0000

incron (0.5.9-2) unstable; urgency=low

  * Fix incorrects runlevels and depends in init script (Closes: 541866)
  * Bump Standards-Version to 3.8.3.
  * Minify and clean debian/rules.
  * Add README.source file.

 -- Emmanuel Bouthenot <kolter@openics.org>  Wed, 23 Sep 2009 20:27:34 +0000

incron (0.5.9-1) unstable; urgency=low

  * New upstream release
    - Fix bad handling of arguments with spaces (Closes: #470391).
  * Drop the patch to fix a segfault with option '--user' (fixed upstream).
  * Update debian/rules (mostly cleaning).
  * Update debian/copyright: licences adjustments.
  * Add a patch to fix some typos with the word 'editing'.
  * Update debian/control: bump Standards-Version to 3.8.2

 -- Emmanuel Bouthenot <kolter@openics.org>  Wed, 15 Jul 2009 19:28:44 +0000

incron (0.5.8-1) unstable; urgency=low

  * New upstream release (Closes: #448650).
  * Add a patch to fix a small typo in incrontab manpage (Closes: #501587).
  * Remove patch gcc_43_fix (fixed upstream).
  * Add a patch to fix a FTBFS with GCC 4.4 (Closes: #504964).
  * Add a patch to fix a segfault with option '--user' (Closes: #468417).
  * Update debian packaging to debhelper 7.
  * Update url pattern in debian/watch file.
  * Drop Homepage from description.
  * Bump Standards-Version to 3.8.0.
  * Minor updates in debian/copyright.
  * Add ${misc:Depends} to incron dependencies.
  * Add Vcs-Browser and Vcs-Git fields in debian/control.
  * Add DM-Upload-Allowed field.

 -- Emmanuel Bouthenot <kolter@openics.org>  Tue, 10 Feb 2009 23:49:08 +0000

incron (0.5.7-1) unstable; urgency=low

  * New upstream release (Closes: #418851)
  * Switch from dpatch to quilt
  * Remove patch related to inotify syscalls (not needed since
    libc6 >= 2.6.x)
  * Add patch to fix FTBFS with GCC 4.3 (Closes: #419269)
  * Fix lintian warning on "make clean"

 -- Emmanuel Bouthenot <kolter@openics.org>  Fri, 07 Sep 2007 13:17:48 +0200

incron (0.5.5-2) unstable; urgency=low

  * missing dependency on adduser (Closes: #431510)

 -- Emmanuel Bouthenot <kolter@openics.org>  Tue, 03 Jul 2007 12:44:21 +0200

incron (0.5.5-1) unstable; urgency=low

  * Initial release (Closes: #409173)

 -- Emmanuel Bouthenot <kolter@openics.org>  Sat, 17 Feb 2007 11:03:57 +0100

=== debian/control ===
Source: incron
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Emmanuel Bouthenot <kolter@debian.org>
Uploaders: Michael Prokop <mika@grml.org>
Build-Depends:
    debhelper (>= 9),
    dh-systemd (>= 1.5)
Standards-Version: 3.9.5
Homepage: http://inotify.aiken.cz/
Vcs-Git: git://anonscm.debian.org/users/kolter/incron.git
Vcs-Browser: http://anonscm.debian.org/git/users/kolter/incron.git

Package: incron
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser
Description: cron-like daemon which handles filesystem events
 incron is an "inotify cron" system. It works like the regular cron but is
 driven by filesystem events instead of time events. This package provides two
 programs, a daemon called "incrond" (analogous to crond) and a table
 manipulator "incrontab" (like "crontab").
 .
 incron uses the Linux Kernel inotify syscalls.
 .
 like cron, each user can edit its own incron tables.
 .
 incron can be used to :
  - notifying programs (e.g. server daemons) about changes in configuration
  - guarding changes in critical files (with their eventual recovery)
  - file usage monitoring, statistics
  - automatic on-crash cleanup
  - automatic on-change backup or versioning
  - new mail notification (for maildir)
  - server upload notification
  - installation management (outside packaging systems)
  - ... and many others

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = incron

override_dh_auto_install:
	echo

override_dh_install:
	dh_install
	install -m 644 incron.conf.example $(CURDIR)/debian/$(PACKAGE)/etc/incron.conf
	touch $(CURDIR)/debian/$(PACKAGE)/etc/incron.allow
	touch $(CURDIR)/debian/$(PACKAGE)/etc/incron.deny

%:
	dh $@ --with systemd

=== debian/watch ===
version=3
http://inotify.aiken.cz/download/incron/incron-([.0-9]*)\.tar\.gz

## incron 0.5.12

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 PREFIX = /usr/local
 USERDATADIR = /var/spool/incron
 SYSDATADIR = /etc/incron.d
+INITDIR = /etc/init
 CFGDIR = /etc
 MANPATH = $(PREFIX)/share/man
 RELEASE = incron-`cat VERSION`
@@ -13,9 +14,12 @@
 CXX ?= g++
 INSTALL = install
 
-OPTIMIZE = -O2
+#OPTIMIZE = -O2 -pedantic -std=c++11
+OPTIMIZE = -O2 -pedantic -std=c++11
 DEBUG = -g0
-WARNINGS = -Wall
+#DEBUG = -g
+WARNINGS = -Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -ffor-scope
+#WARNINGS = -Wall -W 
 CXXAUX = -pipe
 
 CXXFLAGS ?= $(OPTIMIZE) $(DEBUG) $(CXXAUX)
@@ -52,6 +56,7 @@
 	$(INSTALL) -m 0755 incrond $(DESTDIR)$(PREFIX)/sbin/
 	$(INSTALL) -m 0755 -o $(USER) -d $(DESTDIR)$(USERDATADIR)
 	$(INSTALL) -m 0755 -o $(USER) -d $(DESTDIR)$(SYSDATADIR)
+	$(INSTALL) -m 0644 incron.conf $(DESTDIR)$(INITDIR)
 	$(INSTALL) -m 0644 incron.conf.example $(DESTDIR)$(DOCDIR)/
 
 install-man:	incrontab.1 incrontab.5 incrond.8 incron.conf.5

=== debian/changelog ===
incron (0.5.12-4) unstable; urgency=medium

  * Add a fix to the patch which avoid a segfault while using $@ in command to
    execute
  * Add a patch which avoid unterminated forked processes (Closes: #981124)
  * Remove useless dependency on lsb-base
  * Update copyright file (new year)
  * Bump Standards-Version to 4.6.2

 -- Emmanuel Bouthenot <kolter@debian.org>  Fri, 27 Jan 2023 23:08:49 +0000

incron (0.5.12-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.0
  * Switch debian/watch version to 4
  * Add a patch to fix FTBFS with gcc 11 (Closes: #1021850)
  * Add a patch to fix a segfault while using $@ in command to execute
    (Closes: #947425)

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 18 Oct 2022 16:38:29 +0000

incron (0.5.12-2) unstable; urgency=medium

  [Emmanuel Bouthenot]
  * Bump Standards-Version to 4.4.1
  * Remove useless debian/compat file in favor of debhelper-compat
    dependency
  * Set Rules-Requires-Root to no
  * Remove Michael Prokop from Uploaders (according to his wish)

  [ Michael Prokop ]
  * Add a patch to fix cleanup of zombie processes (Closes: #930526)

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 02 Dec 2019 21:41:56 +0000

incron (0.5.12-1) unstable; urgency=medium

  * New upstream release (Closes: #860199)
    - Fix bug 'incron silently discards command output' (Closes: 419518)
    - Fix bug 'incron logs command to execute but command is not
      executed' (Closes: #584134)
    - Fix bug 'allow whitespace delimiters in incrontab files'
      (Closes: #456821)
    - Fix bug 'ignore dotfiles in /etc/incron.d' (Closes: #606770)
    - Fix bug 'avoids shadowing a variable and also enables more warnings
      when compiling' (Closes: #503973)
  * Remove all patches (merged upstream)
  * Upstream development has moved to github:
    - Update watch file accordingly
    - Update homepage in control file
  * New upstream developer: update copyright file accordingly
  * Bump Standards-Version to 4.3.0
  * Switch debhelper compatibility to 12
  * Update Vcs-Git and Vcs-Browser with new repository on salsa.debian.org
  * Change priority from extra to optional
  * Fix debian/copyright Format URI to use https
  * Add debian/upstream/metadata
  * Add a patch to fix manpages typos

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 19 Feb 2019 02:44:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: incron
 Section: admin
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Emmanuel Bouthenot <kolter@debian.org>
-Uploaders: Michael Prokop <mika@grml.org>
+Priority: optional
+Maintainer: Emmanuel Bouthenot <kolter@debian.org>
 Build-Depends:
-    debhelper (>= 9),
-    dh-systemd (>= 1.5)
-Standards-Version: 3.9.5
-Homepage: http://inotify.aiken.cz/
-Vcs-Git: git://anonscm.debian.org/users/kolter/incron.git
-Vcs-Browser: http://anonscm.debian.org/git/users/kolter/incron.git
+    debhelper (>= 13),
+    debhelper-compat (= 13)
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://github.com/ar-/incron
+Vcs-Git: https://salsa.debian.org/kolter/incron.git
+Vcs-Browser: https://salsa.debian.org/kolter/incron
 
 Package: incron
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Description: cron-like daemon which handles filesystem events
  incron is an "inotify cron" system. It works like the regular cron but is
  driven by filesystem events instead of time events. This package provides two

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 PACKAGE = incron
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 override_dh_auto_install:
 	echo
@@ -12,4 +14,4 @@
 	touch $(CURDIR)/debian/$(PACKAGE)/etc/incron.deny
 
 %:
-	dh $@ --with systemd
+	dh $@

=== debian/watch ===
version=4
https://github.com/ar-/incron/tags .*/(\d[\d\.]+)\.tar\.gz
